#
# spec file for package AppCSXCAD
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           AppCSXCAD
Version:        0.2.1
Release:        lp150.1.1
Summary:        Minimal GUI Application using the QCSXCAD library
License:        GPL-3.0
Group:          Productivity/Scientific/Other
Url:            http://openems.de
Source0:        https://github.com/thliebig/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  CSXCAD-devel
BuildRequires:  QCSXCAD-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  tinyxml-devel
BuildRequires:  vtk-devel
%if 0%{?suse_version} > 1320
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
%else
BuildRequires:  libqt4-devel
%endif
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Minimal GUI Application using the QCSXCAD library.

%prep
%setup -q

%build
if [ -f %{_libdir}/mpi/gcc/openmpi/bin/mpivars.sh ]; then
  source %{_libdir}/mpi/gcc/openmpi/bin/mpivars.sh
fi
%cmake

make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*

%changelog
* Wed Dec  6 2017 stefan.bruens@rwth-aachen.de
- Setup MPI environment before building.
* Sat Nov 18 2017 stefan.bruens@rwth-aachen.de
- Change the Qt BuildRequires: for older distributions, Leap 42.x
  has a VTK build with Qt4, use the same conditional as the VTK
  package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
* Wed Nov  1 2017 stefan.bruens@rwth-aachen.de
- Add explicit BuildRequires for Qt5Sql/Qt5Widgets devel packages,
  as these are no longer implicitly required by vtk-devel
* Fri Aug 26 2016 dmitry_r@opensuse.org
- Update to version 0.2.1
  * Bugfix release
- Drop obsolete
  * AppCSXCAD-vtk.patch
* Sun Nov  8 2015 dmitry_r@opensuse.org
- Initial package, version 0.2.0
- Fix building with VTK 6.3
  * AppCSXCAD-vtk.patch
